Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002556TestLinkRequirement Managementpublic2009-05-31 15:272010-11-14 12:07
Reporterkeeyou 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 (Prague) 
Summary0002556: Requirement registration form is not re-populated after save failure
Description1. Choose function "Requirement specification document"
2. Create new requirement specification document
3. Create new requirement for this specification, enter Document ID = 1
4. Create another requirement for the same specification, enter Document ID = 1 (same ID as for previous requirement)
5. Add any "Title" and any description in "Scope" field.
6. Click Save button.
7. TestLink will display error message: "Duplicate document id" but all the content of the fields "Title" and "Scope" will be lost.

This shouldn't work like this, fields "Title" and "Scope" should be re-populated with the content entered by the user before save failure, so that user could just change the "Document ID" and not be forced to re-enter all the content he entered before.

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserany
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007100)
mhavlat (reporter)
2009-06-01 01:26

This is not bug but feature request. You are right that such behavior is user friendly. TC should behave the same way.
(0007857)
keeyou (reporter)
2009-08-28 18:54

any idea of the chances to implement this feature soon?
(0012503)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2009-05-31 15:27 keeyou New Issue
2009-05-31 15:27 keeyou Browser => any
2009-05-31 15:27 keeyou PHP Version => 5.2.9
2009-06-01 01:26 mhavlat Note Added: 0007100
2009-06-01 01:26 mhavlat Severity major => feature request
2009-08-28 18:54 keeyou Note Added: 0007857
2010-10-31 18:20 fman Status new => resolved
2010-10-31 18:20 fman Fixed in Version => 1.9 (Prague)
2010-10-31 18:20 fman Resolution open => fixed
2010-10-31 18:20 fman Assigned To => fman
2010-11-14 12:07 fman Note Added: 0012503
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker